ml.dmlc.xgboost4j.java

## Class ExternalCheckpointManager

- java.lang.Object
- - ml.dmlc.xgboost4j.java.ExternalCheckpointManager

-     public class ExternalCheckpointManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalCheckpointManager(String checkpointPath, org.apache.hadoop.fs.FileSystem fs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanPath()`
    `void` | `cleanUpHigherVersions(int currentRound)`
    `List<Integer>` | `getCheckpointRounds(int checkpointInterval, int numOfRounds)`
    `Booster` | `loadCheckpointAsBooster()`
    `void` | `updateCheckpoint(Booster boosterToCheckpoint)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalCheckpointManager

          public ExternalCheckpointManager(String checkpointPath,
                                           org.apache.hadoop.fs.FileSystem fs)
                                    throws XGBoostError

      Throws:
        `XGBoostError`

  - ### Method Detail

    - #### cleanPath

          public void cleanPath()
                         throws IOException

      Throws:
        `IOException`

    - #### loadCheckpointAsBooster

          public Booster loadCheckpointAsBooster()
                                          throws IOException,
                                                 XGBoostError

      Throws:
        `IOException`
        `XGBoostError`

    - #### updateCheckpoint

          public void updateCheckpoint(Booster boosterToCheckpoint)
                                throws IOException,
                                       XGBoostError

      Throws:
        `IOException`
        `XGBoostError`

    - #### cleanUpHigherVersions

          public void cleanUpHigherVersions(int currentRound)
                                     throws IOException

      Throws:
        `IOException`

    - #### getCheckpointRounds

          public List<Integer> getCheckpointRounds(int checkpointInterval,
                                                   int numOfRounds)
                                            throws IOException

      Throws:
        `IOException`

Copyright © 2022. All rights reserved.